Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1275391 - Review Request: wbar - A quick launch bar
Summary: Review Request: wbar - A quick launch bar
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2015-10-26 18:38 UTC by Attila Zsolt Sajo
Modified: 2017-02-06 21:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-06 21:26:33 UTC


Attachments (Terms of Use)

Description Attila Zsolt Sajo 2015-10-26 18:38:33 UTC
Spec URL: http://landscape.geo.klte.hu/sajozsattila/Fedora_packages/wbar.spec
SRPM URL: http://landscape.geo.klte.hu/sajozsattila/Fedora_packages/wbar-2.3.4-1.fc21.src.rpm

Description: wbar is a quick launch bar.
* It's cool eye candy
* It's designed with speed in mind
* It's coded in c++ using imlib2
* It's lite & fast


Authors:
--------
   Rodolfo Granata


Fedora Account System Username: sajozsattila

Comment 1 Attila Zsolt Sajo 2015-10-26 18:41:13 UTC
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=11585888


Output of rpmlint -i wbar.spec wbar-2.3.4-1.fc21.i686.rpm wbar-2.3.4-1.fc21.src.rpm:

2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 2 Upstream Release Monitoring 2015-10-27 20:14:30 UTC
sajozsattila's scratch build of wbar-2.3.4-1.fc21.src.rpm for f22 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11602428

Comment 3 Attila Zsolt Sajo 2015-10-27 20:33:50 UTC
I have updated the spec file, the rpmlint and koji result is show same.

Comment 4 Upstream Release Monitoring 2015-10-29 19:01:41 UTC
williamjmorenor's scratch build of wbar-2.3.4-1.fc21.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11630491

Comment 5 William Moreno 2015-10-29 21:11:42 UTC
Are you going to epel5? If not, there is no need of rm -rf $RPM_BUILD_ROOT in %%install.

Note than the current spec build fine in epel6, epel7 and current Fedora:
http://copr.fedoraproject.org/coprs/williamjmorenor/fedora-review-test/build/131391/

Where is the license file? You must use the %license macro to handle the COPYING file in the tarball. Note than for epel6 you need to define the %license macro in %%files with 

%files 
%{!?_licensedir:%global license %%doc}
%license COPYING

Where are the docs files? You must use the %doc macro to handle the AUTHORS ChangeLog INSTALL README NEWS THANKS and TODO files in the tarball.

Consider to create a -docs subpackage.

Comment 6 William Moreno 2016-01-06 19:34:12 UTC
Any update here?

Comment 7 Raphael Groner 2017-02-06 21:26:33 UTC
It seems we can close here. Please feel free to reopen if you're still interested in this package.


Note You need to log in before you can comment on or make changes to this bug.